## icmpush 2.2

=== Makefile ===
#
# Makefile for ICMPush v2.2
# Tested on Linux 2.0.35, 2.2.1 (gcc v2.7.2.3) and Solaris 2.5.1 SPARC
# (gcc v2.7.2.3)
#

# Compiler
CC = gcc

# Install directory
INST_DIR  = /usr/local/bin

# English man directory
MAN_DIR = /usr/local/man/man8

# Program Language. 
# If you need spanish uncomment the next variable, else other English.
#LNG = -DSPANISH

# Compiler flags
CCFLAGS = -Wall -O3 $(LNG)

# If you get problems with the message "undefined reference to __inet_aton"
# you has replaced the original "includes" with the "includes" that
# comes with the bind 8.1.2 distribution, then you must put the
# complete path to the library.
# Leave this variable blank else other.
LIBBINDDIR =
# LIBBINDIR = /usr/local/lib/libbind.a


######################################################################
# From here to the end is not necessary to modify. Thanx :)
# 
LIBSOLARIS = -lsocket -lresolv -lnsl
SOURCES = icmpush.c help.c version.c parser.c mtu.c
OBJS =  icmpush.o  help.o version.o parser.o mtu.o
default:
	@echo ""
	@echo "  To compile the ICMPush program for Linuz:"
	@echo "            make linuz"
	@echo ""
	@echo "  To compile the ICMPush program for Solaris:"
	@echo "            make solaris"
	@echo ""
	@echo "  To delete object files, executables and *~:"
	@echo "            make clean"
	@echo ""
	@echo "  To install the ICMPush executable file and the man page:"
	@echo "            make install"
	@echo ""
	@echo "  Enjoy!  ;)"
	@echo ""
	@echo " Slayer."

linuz:	icmp-lin cuenta-prog

icmp-lin:	
	$(CC)  $(CCFLAGS) -DLINUX -D_BIT_FIELDS_LTOH -c $(SOURCES)
	$(CC)  $(CCFLAGS) -o  icmpush   $(OBJS)   $(LIBBINDDIR)

cuenta-prog:	
	$(CC)  $(CCFLAGS) -c  cuenta.c
	$(CC)  $(CCFLAGS) -o  cuenta   cuenta.o

solaris:	icmp-sol cuenta-prog

icmp-sol:	
	$(CC)  $(CCFLAGS) -DSOLARIS -c  $(SOURCES)
	$(CC)  $(CCFLAGS) -o  icmpush  $(OBJS)  $(LIBBINDDIR)  $(LIBSOLARIS)

install:
	cp icmpush $(INST_DIR)
	cp icmpush.8 $(MAN_DIR)

clean:	
	@rm -f icmpush cuenta *.o *~

=== debian/changelog ===
icmpush (2.2-7) unstable; urgency=medium

  * QA upload.
  * Convert to source format 3.0. (Closes: #1043186)
  * Upgrade debhelper-compat to 10.
  * Set Priority: optional (was: extra).
  * d/copyright: Convert to machine-readable format.

  [ Helmut Grohne ]
  * Fix FTCBFS: Let dh_auto_build pass cross tools to make. (Closes: #928112)

 -- Bastian Germann <bage@debian.org>  Mon, 11 Sep 2023 11:06:30 +0000

icmpush (2.2-6.2) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/rules: Add build-{arch,indep} (Closes: #999158).

 -- Marcos Talau <talau@debian.org>  Wed, 02 Nov 2022 20:19:02 -0300

icmpush (2.2-6.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Update DH level to 9 to avoid a FTBFS. (Closes: #800282)
  * debian/compat: created.
  * debian/control:
     - Added the ${misc:Depends} variable to provide the
       right install dependencies.
     - Bumped Standards-Version to 3.9.6.
  * debian/rules: commented the line "export DH_COMPAT=2" to
    avoid the conflict with the new DH level.

 -- Raphael Mota Ramos <raphaelmota.ti@gmail.com>  Tue, 05 Jan 2016 11:00:47 -0200

icmpush (2.2-6) unstable; urgency=low

  * New maintainer, closes: #189625.
  * Changed standards version 2.5.3-3.5.8.

 -- Ola Lundqvist <opal@debian.org>  Sun, 15 Jun 2003 23:04:01 +0200

icmpush (2.2-5) unstable; urgency=low

  * Recompiled with the new libc6 and a recent libnet0 which uses
    PF_PACKET interface to build packages.

 -- Domenico Andreoli <cavok@debian.org>  Tue,  5 Nov 2002 23:11:02 +0100

icmpush (2.2-4) unstable; urgency=low

  * Any occurrence of sys_errlist has been changed to strerror, this
    makes icmpush compile under hurd. Patch courtesy of
    James Morrison <rocketmail_com@rocketmail.com> (Closes: #112501).
  * Removed emacs cruft at the botton of (this) changelog.

 -- Domenico Andreoli <cavok@debian.org>  Tue, 18 Sep 2001 11:36:26 +0200

icmpush (2.2-3) unstable; urgency=low

  * Added versioned Build-Depend for debhelper. 

 -- Domenico Andreoli <cavok@debian.org>  Tue,  6 Mar 2001 15:17:43 +0100

icmpush (2.2-2) unstable; urgency=low

  * Switched to debhelper compatibilty version 2.
  * Added some missing includes for headers (time.h) which made icmpush
    sources uncompilable on recently upgraded unstable boxes.

 -- Domenico Andreoli <cavok@debian.org>  Wed, 28 Feb 2001 17:11:44 +0100

icmpush (2.2-1) unstable; urgency=low

  * Initial Release.

 -- Domenico Andreoli <cavok@libero.it>  Thu, 14 Sep 2000 15:44:13 +0200

=== debian/control ===
Source: icmpush
Section: net
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Standards-Version: 3.9.6
Build-Depends: debhelper-compat (= 10)

Package: icmpush
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: ICMP packet builder
 icmpush is a tool that builds ICMP packets fully customized
 from command line.
 .
 It supports the following ICMP error types: Redirect, Source
 Quench, Time Exceeded, Destination Unreach and Parameter
 Problem.
 .
 And the following ICMP information types: Address Mask Request,
 Timestamp, Information Request, Echo Request, Router Solicitation
 and Router Advertisement.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
#export DH_COMPAT=2

build: build-stamp
build-stamp:
	dh_testdir
	dh_auto_build -- linuz
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/tmp.
	cp icmpush `pwd`/debian/icmpush/usr/bin

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installmanpages
	dh_installchangelogs CHANGES
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch

build-arch: build
build-indep: build

.PHONY: build build-arch build-indep clean binary-indep binary-arch binary install
